Project

General

Profile

Bug(バグ) #3017

3.8RC1のタイムラインがいつまでもloadingな件

Added by pnetan   about 8 years ago. Updated over 4 years ago.

Status:
Invalid(無効)
Priority:
Normal(通常)
Assignee:
-
Target version:
-
Start date:
2012-04-23
Due date:
% Done:

0%

3.6 で発生するか:
Unknown (未調査)
3.8 で発生するか:

Description

http://sns.openpne.jp/diary/27517 より転記

日記本文

ローカルのxampp(PHP5.3.8)では問題なかったので、テスト用に借りているサーバーの1つ(PHP5.2.5)で試したところ、pc_frontend_devで次のような状況が確認できました。

ヘッダ内に
<br />
<b>Warning</b>: json_encode() expects exactly 1 parameter, 2 given in <b>/path/to/openpne3/apps/pc_frontend/templates/_layout.php</b> on line <b>25</b><br />
<script type="text/javascript">
//<![CDATA[

var openpne = ;

//]]>
があり、jsのsyntax error及びopenpne.apiKeyが無いことによりタイムラインがいつまで経っても読みこめないようです。

ソースを確認すると、確かに5.3.0から使えるjson_encodeの第二引数が使われていました。
https://github.com/openpne/OpenPNE3/blob/stable-3.8.x/app...
http://jp.php.net/manual/ja/function.json-encode.php

今RC1で早急に動かしたいSNSがある方はPHP5.3環境を用意すれば良いかと思います。

Related issues

Related to OpenPNE 3 - Backport(バックポート) #3023: 3.8RC1のタイムラインがいつまでもloadingな件 Invalid(無効) 2012-04-23

History

#1 Updated by Yuma Sakata about 8 years ago

  • Project changed from opTimelinePlugin to OpenPNE 3

#2 Updated by Yuma Sakata about 8 years ago

実装者に確認したところ、Core側の問題とのことでした。
プロジェクトを opTimelinePlugin から OpenPNE3 に移動しました。

#3 Updated by Yuma Sakata about 8 years ago

  • Target version set to OpenPNE 3.9.0-old

#4 Updated by Yuma Sakata about 8 years ago

  • Status changed from New(新規) to Invalid(無効)

#3026 と重複のため、クローズします。

#5 Updated by Rimpei Ogawa almost 6 years ago

  • Target version deleted (OpenPNE 3.9.0-old)

#6 Updated by 斎藤 真 over 4 years ago

pnetan   は書きました:

http://sns.openpne.jp/diary/27517 より転記

日記本文

[...]

私の環境でも(ロリポップレンタルサーバー PHP5.2)でしたので、5.4にあげたら無事ローディング状態が改善しました。

Also available in: Atom PDF